#!/usr/bin/env bash

host="$1"
port="$2"
shift 2
cmd="$@"

echo "Waiting for $host:$port to be available..."
until nc -z "$HOST" "$PORT"; do
  sleep 1
done

echo "$host:$port is now available, running command..."
exec $cmd